% cooling.m
% compares the direct measurement of the rate of cooling of a cup of coffee 
% with the cooling rate predicted by Newton's Law of Cooling

timeData = [0 1 2 3.5 7 10 18 26 34 52 113 166 191];
tempData = [93.5 90.6 87.7 83.9 76.6 71.3 61.5 54.8 49.2 41.0 29.1 25.5 25.0];
plot(timeData, tempData, 'b-*')
xlabel('Time, minutes')
ylabel('Temperature, degrees Celcius')
title('Cooling a Cup of Coffee')

timeSamples = 0:5:200;
tempLaw = 24.5 + 69 * exp(-0.0426 * timeSamples);
hold on
plot(timeSamples, tempLaw, 'g--o')
hold off
